CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-3580

The mod_dav_svn Apache HTTPD server module in Apache Subversion 1.x before 1.7.19 and 1.8.x before 1.8.11 allows remote attackers to cause a denial of service (NULL pointer dereference and server crash) via a REPORT request for a resource that does not exist.
Publish Date : 2014-12-18 Last Update Date : 2016-12-23
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
DEPRECATED: DSA-3107-1 -- subversion security update oval:org.mitre.oval:def:28381 unix
DSA-3107-2 -- subversion regression update oval:org.mitre.oval:def:28533 unix
RHSA-2015:0165: subversion security update (Moderate) oval:com.redhat.rhsa:def:20150165 unix
RHSA-2015:0166: subversion security update (Moderate) oval:com.redhat.rhsa:def:20150166 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-3580

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Subversion 1.0.0 Version Details Vulnerabilities
2 Application Apache Subversion 1.0.1 Version Details Vulnerabilities
3 Application Apache Subversion 1.0.2 Version Details Vulnerabilities
4 Application Apache Subversion 1.0.3 Version Details Vulnerabilities
5 Application Apache Subversion 1.0.4 Version Details Vulnerabilities
6 Application Apache Subversion 1.0.5 Version Details Vulnerabilities
7 Application Apache Subversion 1.0.6 Version Details Vulnerabilities
8 Application Apache Subversion 1.0.7 Version Details Vulnerabilities
9 Application Apache Subversion 1.0.8 Version Details Vulnerabilities
10 Application Apache Subversion 1.0.9 Version Details Vulnerabilities
11 Application Apache Subversion 1.1.0 Version Details Vulnerabilities
12 Application Apache Subversion 1.1.1 Version Details Vulnerabilities
13 Application Apache Subversion 1.1.2 Version Details Vulnerabilities
14 Application Apache Subversion 1.1.3 Version Details Vulnerabilities
15 Application Apache Subversion 1.1.4 Version Details Vulnerabilities
16 Application Apache Subversion 1.2.0 Version Details Vulnerabilities
17 Application Apache Subversion 1.2.1 Version Details Vulnerabilities
18 Application Apache Subversion 1.2.2 Version Details Vulnerabilities
19 Application Apache Subversion 1.2.3 Version Details Vulnerabilities
20 Application Apache Subversion 1.3.0 Version Details Vulnerabilities
21 Application Apache Subversion 1.3.1 Version Details Vulnerabilities
22 Application Apache Subversion 1.3.2 Version Details Vulnerabilities
23 Application Apache Subversion 1.4.0 Version Details Vulnerabilities
24 Application Apache Subversion 1.4.1 Version Details Vulnerabilities
25 Application Apache Subversion 1.4.2 Version Details Vulnerabilities
26 Application Apache Subversion 1.4.3 Version Details Vulnerabilities
27 Application Apache Subversion 1.4.4 Version Details Vulnerabilities
28 Application Apache Subversion 1.4.5 Version Details Vulnerabilities
29 Application Apache Subversion 1.4.6 Version Details Vulnerabilities
30 Application Apache Subversion 1.5.0 Version Details Vulnerabilities
31 Application Apache Subversion 1.5.1 Version Details Vulnerabilities
32 Application Apache Subversion 1.5.2 Version Details Vulnerabilities
33 Application Apache Subversion 1.5.3 Version Details Vulnerabilities
34 Application Apache Subversion 1.5.4 Version Details Vulnerabilities
35 Application Apache Subversion 1.5.5 Version Details Vulnerabilities
36 Application Apache Subversion 1.5.6 Version Details Vulnerabilities
37 Application Apache Subversion 1.5.7 Version Details Vulnerabilities
38 Application Apache Subversion 1.5.8 Version Details Vulnerabilities
39 Application Apache Subversion 1.6.0 Version Details Vulnerabilities
40 Application Apache Subversion 1.6.1 Version Details Vulnerabilities
41 Application Apache Subversion 1.6.2 Version Details Vulnerabilities
42 Application Apache Subversion 1.6.3 Version Details Vulnerabilities
43 Application Apache Subversion 1.6.4 Version Details Vulnerabilities
44 Application Apache Subversion 1.6.5 Version Details Vulnerabilities
45 Application Apache Subversion 1.6.6 Version Details Vulnerabilities
46 Application Apache Subversion 1.6.7 Version Details Vulnerabilities
47 Application Apache Subversion 1.6.8 Version Details Vulnerabilities
48 Application Apache Subversion 1.6.9 Version Details Vulnerabilities
49 Application Apache Subversion 1.6.10 Version Details Vulnerabilities
50 Application Apache Subversion 1.6.11 Version Details Vulnerabilities
51 Application Apache Subversion 1.6.12 Version Details Vulnerabilities
52 Application Apache Subversion 1.6.13 Version Details Vulnerabilities
53 Application Apache Subversion 1.6.14 Version Details Vulnerabilities
54 Application Apache Subversion 1.6.15 Version Details Vulnerabilities
55 Application Apache Subversion 1.6.16 Version Details Vulnerabilities
56 Application Apache Subversion 1.6.17 Version Details Vulnerabilities
57 Application Apache Subversion 1.6.18 Version Details Vulnerabilities
58 Application Apache Subversion 1.6.19 Version Details Vulnerabilities
59 Application Apache Subversion 1.6.20 Version Details Vulnerabilities
60 Application Apache Subversion 1.6.21 Version Details Vulnerabilities
61 Application Apache Subversion 1.6.23 Version Details Vulnerabilities
62 Application Apache Subversion 1.7.0 Version Details Vulnerabilities
63 Application Apache Subversion 1.7.1 Version Details Vulnerabilities
64 Application Apache Subversion 1.7.2 Version Details Vulnerabilities
65 Application Apache Subversion 1.7.3 Version Details Vulnerabilities
66 Application Apache Subversion 1.7.4 Version Details Vulnerabilities
67 Application Apache Subversion 1.7.5 Version Details Vulnerabilities
68 Application Apache Subversion 1.7.6 Version Details Vulnerabilities
69 Application Apache Subversion 1.7.7 Version Details Vulnerabilities
70 Application Apache Subversion 1.7.8 Version Details Vulnerabilities
71 Application Apache Subversion 1.7.9 Version Details Vulnerabilities
72 Application Apache Subversion 1.7.10 Version Details Vulnerabilities
73 Application Apache Subversion 1.7.11 Version Details Vulnerabilities
74 Application Apache Subversion 1.7.12 Version Details Vulnerabilities
75 Application Apache Subversion 1.7.13 Version Details Vulnerabilities
76 Application Apache Subversion 1.7.14 Version Details Vulnerabilities
77 Application Apache Subversion 1.7.15 Version Details Vulnerabilities
78 Application Apache Subversion 1.7.16 Version Details Vulnerabilities
79 Application Apache Subversion 1.7.17 Version Details Vulnerabilities
80 Application Apache Subversion 1.7.18 Version Details Vulnerabilities
81 Application Apache Subversion 1.7.19 Version Details Vulnerabilities
82 Application Apache Subversion 1.8.0 Version Details Vulnerabilities
83 Application Apache Subversion 1.8.1 Version Details Vulnerabilities
84 Application Apache Subversion 1.8.2 Version Details Vulnerabilities
85 Application Apache Subversion 1.8.3 Version Details Vulnerabilities
86 Application Apache Subversion 1.8.4 Version Details Vulnerabilities
87 Application Apache Subversion 1.8.5 Version Details Vulnerabilities
88 Application Apache Subversion 1.8.6 Version Details Vulnerabilities
89 Application Apache Subversion 1.8.7 Version Details Vulnerabilities
90 Application Apache Subversion 1.8.8 Version Details Vulnerabilities
91 Application Apache Subversion 1.8.9 Version Details Vulnerabilities
92 Application Apache Subversion 1.8.10 Version Details Vulnerabilities
93 Application Apple Xcode 6.1.1 Version Details Vulnerabilities
94 OS Debian Debian Linux 7.0 Version Details Vulnerabilities
95 OS Redhat Enterprise Linux Desktop 6.0 Version Details Vulnerabilities
96 OS Redhat Enterprise Linux Desktop 7.0 Version Details Vulnerabilities
97 OS Redhat Enterprise Linux Hpc Node 6.0 Version Details Vulnerabilities
98 OS Redhat Enterprise Linux Hpc Node 7.0 Version Details Vulnerabilities
99 OS Redhat Enterprise Linux Server 6.0 Version Details Vulnerabilities
100 OS Redhat Enterprise Linux Server 7.0 Version Details Vulnerabilities
101 OS Redhat Enterprise Linux Server Eus 6.6.z Version Details Vulnerabilities
102 OS Redhat Enterprise Linux Workstation 6.0 Version Details Vulnerabilities
103 OS Redhat Enterprise Linux Workstation 7.0 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Subversion 92
Apple Xcode 1
Debian Debian Linux 1
Redhat Enterprise Linux Desktop 2
Redhat Enterprise Linux Hpc Node 2
Redhat Enterprise Linux Server 2
Redhat Enterprise Linux Server Eus 1
Redhat Enterprise Linux Workstation 2

- References For CVE-2014-3580

https://support.apple.com/HT204427 CONFIRM
http://www.ubuntu.com/usn/USN-2721-1
UBUNTU USN-2721-1
http://rhn.redhat.com/errata/RHSA-2015-0165.html
REDHAT RHSA-2015:0165
http://www.debian.org/security/2014/dsa-3107
DEBIAN DSA-3107
http://rhn.redhat.com/errata/RHSA-2015-0166.html
REDHAT RHSA-2015:0166
http://subversion.apache.org/security/CVE-2014-3580-advisory.txt CONFIRM
http://www.securityfocus.com/bid/71726
BID 71726 Apache Subversion CVE-2014-3580 Remote Denial of Service Vulnerability Release Date:2015-08-22
http://lists.apple.com/archives/security-announce/2015/Mar/msg00003.html
APPLE APPLE-SA-2015-03-09-4

- Metasploit Modules Related To CVE-2014-3580

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.